Jump to content
nonno fabio

[Addon] .NET framework 1.1-2.0-3.0-3.5 GDR/QFE TRUE addons

Recommended Posts

You can use Nlite or RVMi, as you like. If you use Nlite, you must list it in the Addons section.

There's only one 3.5 addon, "OnePiece Microsoft.NET Framework v3.5.30729.3644.3 True AddOn ENU": all the links are mirrors of same file. Same answer for .net 4.0.

If you integrate 3.5 addon, you don't need to add v3.0 and v2.0 addons because they're are already included

All Onepiece's .net addons are updated with all public hotfixes (GDR branch) released until today.

Italian .net 1.1 is a mistake, sorry. .Nets are language independant but localized addon are bundled with the corresponding language pack. Fixed, thanks

Share this post


Link to post
Share on other sites

I've meant of 3.5 sp1 because there is some QFE and GDR. Nevermind....

So, as far as I understood, I need to download: .NET 1.1 then .NET 3.5SP1 and 4.0???

OK, thank you very much.

Share this post


Link to post
Share on other sites

QFE updates addon is only an integration of .net 3.5 family true addon. It overwrites existing GDR updates with QFE ones so it must be integrated only along with .net 3.5 family addon and placed after it in integration list (o in a second RVM Integrator run). Please take note that QFE branch .net updates often cause problems with WindowsUpdate (they're not recognized and newer updates could fail)

Yes, if you want the whole .net family you must download 1.1 and 3.5 and 4.0 addons. If you prefer a minimal .net installation you can download and install only 2.0 addon.

Share this post


Link to post
Share on other sites

Thanks a lot my "spaghetti" friend. :D

As soon I upgrade my WinOS setup disc, I will post the results.

Edit: Windows won't install. Loading "blimps" in the right lower corner are active, screen tips are changing from time to time, but setup is standing on 23 minutes and it says "Completing Installation...".

It stands on 23 minutes almost half an hour. Maybe more...

What went wrong? Any idea?

Should I try with RyanVM???

Edited by Killjoy

Share this post


Link to post
Share on other sites

It depends on your machine but only 3.5+4.0 needs at least 20 minutes to install on a real PC, less than normal setup in a running system but a long time anyway.

I don't know what else you've added in your CD but remember that if you integrate Onepiece's AIO UpdatePack you don't need .net addons because they're all included already.

You can press Ctrl+f11 during setup to see what's happening.

Share this post


Link to post
Share on other sites

I've integrated 1.1, 3.5 and 4.0 through RyanVM. You were right about 3.5 and 4.0 about installing. About 20 minutes.

I've got old machine. It is enough to say single core cpu. I don't want to embarace myself. :D

In my Windows XP cd are only updates for Windows and existing components. Hotfixes for OS, for WMP and for IE.

I've removed MSN Explorer and Wndows Messenger.

Oh, yes. After integration of 1.1, 3.5 and 4.0, version 1.1 isn't shown under components wizard.

Versions 2.0, 3.0, 3.5 and 4.0 are shown.

Share this post


Link to post
Share on other sites

Yes, it's correct. As .NET 1.1 unistallation could damage other .NETs it has been chosen to hide it under Component Wizard:

Sysoc.inf
NetFx11=ocgen.dll,OcEntry,NetFx11.inf,hide,7
netfx20=ocgen.dll,OcEntry,netfx20.inf,,7
netfx30=ocgen.dll,OcEntry,netfx30.inf,,7

You can remove the addon from your updated CD with RVMi and OnePiece_Remove_NETFX1.1SP1_AddOn.cab (see Onepiece Remove Addon pack)

Share this post


Link to post
Share on other sites

I noticed that all download links for OnePiece Microsoft.NET Framework v3.5.30729.3644.3 True AddOn ENU

and OnePiece Microsoft.NET Framework v3.5.30729.5053.3 GDRtoQFE Update Switcher AddOn are hot working. All dead!

New links would be appreciated. Thanks

Share this post


Link to post
Share on other sites

I noticed that all download links for OnePiece Microsoft.NET Framework v3.5.30729.3644.3 True AddOn ENU

and OnePiece Microsoft.NET Framework v3.5.30729.5053.3 GDRtoQFE Update Switcher AddOn are hot working. All dead!

New links would be appreciated. Thanks

https://skydrive.live.com/?cid=c5215adebcbbafe6&id=C5215ADEBCBBAFE6%21927

Ciao.

Edited by OnePiece

Share this post


Link to post
Share on other sites

Ok guys! I'm gonna probably ask a stupid question for you, since I'm a rookie.

Do we really need all those frameworks?

Is a .NET 4 a replacement for 3.5 sp1???

Can I just install .NET 4 and live like a man or do I really need all those .NETs???

Share this post


Link to post
Share on other sites
Is a .NET 4 a replacement for 3.5 sp1???

NO - unfortunately. Which frameworks you need ultimately depend on what software you use and which frameworks they require. To be able to be sure you are always prepared will require them all. Do you NEED them? That's up for debate and up to the software you use.

Cheers and Regards

Share this post


Link to post
Share on other sites

NO - unfortunately. Which frameworks you need ultimately depend on what software you use and which frameworks they require. To be able to be sure you are always prepared will require them all. Do you NEED them? That's up for debate and up to the software you use.

Cheers and Regards

Wow! Which software do I use? Oh well. I've got at least 40 apps installed at this moment.

.NET Frameworks are for what exactly?

Programing? Web design? Graphic design etc.

Share this post


Link to post
Share on other sites

i want net framework family pack( from 1 to 4) all in it ;) plz pm me... or email me...

mohammad_ali1994@yahoo.in

i dont come here regularly :(

Wow, that was rude.... The download links are in the first post. You know, there is a "Follow This Topic" button at the top of the screen you could press and the forum will notify you of new postings to this thread.

We are NOT in the delivery buisness.........

I agree with ya on that one!

Share this post


Link to post
Share on other sites

I see that the first post says that these add-ons are for Windows XP and 2003, yet your .Net Framework 4.0 indicates it works with Windows 7. So this fact brings me to my two (possibly) stupid questions:

(1) Will your .NET Framework 3.5 add-on work with Vista, say by integrating via DX True Integrator?

(2) Can you make a x64 version to update Vista?

Thanks in advance....

Share this post


Link to post
Share on other sites

(1) this one, no because .net v3.0 is already present in Vista by default but there is a special true addon named OnePiece_Microsoft.NET_Framework_v3.5.30729.3678_True_AddOn_ENU_NEED_NETFX20-NETFX30_ADDON.cab (you can find it in Voidseesaw Repository or in Onepiece's Skydrive account which could work also in Vista x86 with some modifications of entries.ini and .inf files. If you're interested in, PM me or Onepiece

(2) At the monent, no. Onepiece really got no time now to build a x64 addon. This mean to create a 30.000 lines .inf file and all the related testing. Anyway you could use Ricktendo64's one http://www.wincert.n...6x64-2-14-2012/ with some modifications.

You must create a DotNet4_Svcpack_AddOn\svcpack folder and copy inside the .exe file. Then add an entries.ini file in DotNet4_Svcpack_AddOn, like this one:

 ;This section contains version info for RyanVM Integrator & nLite & WinNT6.x True Integrator
[general]
builddate=2012/02/16
description=NET Framework 4 mark the next generation of developer tools from Microsoft
language=English
ServicePack=SP3
title=Microsoft .NET Framework 4
version=2012
website=http://www.microsoft.com/net/
Windows=XP

;;Optional
;;;processorArchitecture=x86
ReleaseType=SvcPack AddOn
Customizedby=ricktendo64
Copyright=Microsoft
Company=Microsoft
InstallPackageName=dotNetFx40_Full_x86_x64_SlimSetup.exe
LastUpdateTime=2012-02-16T00:11:22Z

[EditFile]
I386\SVCPACK.INF,SetupHotfixesToRun,AddProgram

[AddProgram]
dotNetFx40_Full_x86_x64_SlimSetup.exe /ain

archive with Makecab.exe or DxTool in DotNet4_Svcpack_AddOn.cab and integrate with WinNT6.x True Integrator

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...